Title: test_urllib2 failure on Windows
Type: behaviour Severity: normal
Components: Library Versions: Jython 2.7
Status: open Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: jeff.allen
Priority: normal Keywords: test failure causes

Created on 2015-04-06.21:12:03 by jeff.allen, last changed 2018-03-15.08:14:37 by jeff.allen.

msg9776 (view) Author: Jeff Allen (jeff.allen) Date: 2015-04-06.21:12:03
Observed on Windows 7 with Jython 2.7rc2, test_urllib2 fails one test:

ERROR: test_trivial (__main__.TrivialTests)
Traceback (most recent call last):
  File "C:\jython\2.7rc2\Lib\test\", line 37, in test_trivial
    f = urllib2.urlopen(file_url)
  File "C:\jython\2.7rc2\Lib\", line 127, in urlopen
    return, data, timeout)
  File "C:\jython\2.7rc2\Lib\", line 404, in open
    response = self._open(req, data)
  File "C:\jython\2.7rc2\Lib\", line 421, in _open
    result = self._call_chain(self.handle_open, protocol, protocol +
  File "C:\jython\2.7rc2\Lib\", line 382, in _call_chain
    result = func(*args)
  File "C:\jython\2.7rc2\Lib\", line 1317, in file_open
    return self.open_local_file(req)
  File "C:\jython\2.7rc2\Lib\", line 1357, in open_local_file
    raise URLError(msg)
URLError: <urlopen error [Errno 2] No such file or directory: '\\jython\\2.7rc2\\Lib\\urllib2$py.class'>


The requested file does exist, and with exactly that capitalisation in the path.
msg11805 (view) Author: Jeff Allen (jeff.allen) Date: 2018-03-15.08:14:36
Still failing in 2.7.2a1. test_urllib2 is currently skipped in, although other tests pass except:

test_file (__main__.HandlerTests) ... skipped 'FIXME: Currently not working on jython'

lib-python/2.7 version has moved on slightly and it would be good to re-synchronise selectively.
Date User Action Args
2018-03-15 08:14:37jeff.allensetpriority: normal
resolution: accepted
messages: + msg11805
2015-04-06 21:12:03jeff.allencreate